Magic of Love

여러 버전의 익스플로러 사용하기 - Multiple IEs 본문

Software

여러 버전의 익스플로러 사용하기 - Multiple IEs

NYA 2008.04.19 00:42

브라우저 호환성에 대해서 웹디자이너, 웹개발자라면 한 번쯤 고민해봤을 거라고 생각합니다.
주 원인은 버그투성이 익스플로러6 겠죠.
대체 뭘 믿고 자기 마음대로 렌더링 하는지 모르겠습니다.

같은 태그, 같은 스크립트가 브라우저 마다 다르게 표현될 때
-_- 이런 표정과 함께 정말 이런말을 하고 싶어집니다. "어쩌라고!"

가까스로 화를 가라앉히고,
브라우저마다 확인을 하기 위해 파이어폭스, 오페라, 사파리를 설치하는 것 까진 좋았는데..
인터넷 익스플로러는 한 번 버전이 올라가면 이전 버전으로 돌리기가 쉽지가 않다는 거죠!
특히 가장 제멋대로 렌더링하는 IE6가 아직은 가장 높은 점유율을 가지고 있으니,
적어도 IE6와 IE7는 꼭 같이 봐줘야 합니다.

  • 설치시 옵션.
    IE7이 설치된 상태에서 하위 버전의 IE들을 설치할 수 있다.
    윈도우95 시절까지 고려할 생각이 아니라면 6.0만 설치하면 되겠다.



  • 새로 설치된 IE6와 기존에 있던 IE7.
    IE6에는 브라우저 타이틀(제목표시줄)에 IE6라고 표시되어 있다.
    참고로 영문판 브라우저가 설치된다.


제작사 사이트 : http://tredosoft.com/Multiple_IE
다운로드 직링크 : http://tredosoft.com/files/multi-ie/multiple-ie-setup.exe

ps.
참고로 이렇게 확인해서 다르면 어떻게 하냐구요?
스타일이 문제라면 IE6 CSS핵으로 스타일에 꼼수를 줍니다. http://blog.naver.com/tyboss/70021510737
자바스크립트에서 DOM 다른 문제는 브라우저 검사해서 분기하거나 try catch 써야겠고요. ^^;

0 Comments
댓글쓰기 폼